## Class Command

- java.lang.Object
- - Command

-     class Command
      extends java.lang.Object

  This class holds the command name literals for each of the command supported by this project (ls, cd, exit, cat). No command flag support has been implemented.
  Author:
    psoutzis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.lang.String` | `CAT`
    `(package private) static java.lang.String` | `CD`
    `(package private) static java.lang.String` | `EXIT`
    `(package private) static java.lang.String` | `LS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `doCat(Inode inode, int inodeSize, Ext2File ext2, Superblock superblock, GroupDescriptor groupDescriptor, java.lang.String path)` Used for the "cat" command
    `(package private) static void` | `doExit()` Is called when user types exit.
    `(package private) static void` | `doLs(Inode inode, int inodeSize, Ext2File ext2, Superblock superblock, GroupDescriptor groupDescriptor)` Used for the "ls" command

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CD

          static final java.lang.String CD

      See Also:
        Constant Field Values

    - #### EXIT

          static final java.lang.String EXIT

      See Also:
        Constant Field Values

    - #### LS

          static final java.lang.String LS

      See Also:
        Constant Field Values

    - #### CAT

          static final java.lang.String CAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Command

          Command()

  - ### Method Detail

    - #### doExit

          static void doExit()

      Is called when user types exit. It prints an informative message and then exits the running process

    - #### doLs

          static void doLs(Inode inode,
                           int inodeSize,
                           Ext2File ext2,
                           Superblock superblock,
                           GroupDescriptor groupDescriptor)

      Used for the "ls" command
      Parameters:
        `inode` - The inode to use
        `inodeSize` - The inode size
        `ext2` - The Ext2File instance to provide a bytebuffer to use
        `superblock` - The superblock instance
        `groupDescriptor` - The group descriptor instance

    - #### doCat

          static void doCat(Inode inode,
                            int inodeSize,
                            Ext2File ext2,
                            Superblock superblock,
                            GroupDescriptor groupDescriptor,
                            java.lang.String path)

      Used for the "cat" command
      Parameters:
        `inode` - The inode to use
        `inodeSize` - The inode size
        `ext2` - The Ext2File instance to provide a bytebuffer to use
        `superblock` - The superblock instance
        `groupDescriptor` - The group descriptor instance
        `path` - The path the user issued "cat" to